<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.11) on Mon Sep 20 11:24:22 IST 2021 -->
<title>Uses of Class com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral" class="title">Uses of Class<br>com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#com.techgatha.loan.LoanProposalSpringBootProject.model">com.techgatha.loan.LoanProposalSpringBootProject.model</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#com.techgatha.loan.LoanProposalSpringBootProject.rest">com.techgatha.loan.LoanProposalSpringBootProject.rest</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#com.techgatha.loan.LoanProposalSpringBootProject.springservice">com.techgatha.loan.LoanProposalSpringBootProject.springservice</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="com.techgatha.loan.LoanProposalSpringBootProject.model">
<!--   -->
</a>
<h3>Uses of <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a> in <a href="../package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.model</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.model</a> that return types with arguments of type <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Loan.</span><code><span class="memberNameLink"><a href="../Loan.html#getCollaterals()">getCollaterals</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Method parameters in <a href="../package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.model</a> with type arguments of type <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Loan.</span><code><span class="memberNameLink"><a href="../Loan.html#setCollaterals(java.util.List)">setCollaterals</a></span>&#8203;(java.util.List&lt;<a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&gt;&nbsp;collaterals)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="com.techgatha.loan.LoanProposalSpringBootProject.rest">
<!--   -->
</a>
<h3>Uses of <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a> in <a href="../../rest/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.rest</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../rest/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.rest</a> that return types with arguments of type <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminRestController.</span><code><span class="memberNameLink"><a href="../../rest/AdminRestController.html#getAllCollaterals()">getAllCollaterals</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../rest/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.rest</a> with parameters of type <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">AdminRestController.</span><code><span class="memberNameLink"><a href="../../rest/AdminRestController.html#insertColateral(com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral)">insertColateral</a></span>&#8203;(<a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&nbsp;collateral)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="com.techgatha.loan.LoanProposalSpringBootProject.springservice">
<!--   -->
</a>
<h3>Uses of <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a> in <a href="../../springservice/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.springservice</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../springservice/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.springservice</a> that return types with arguments of type <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CollateralService.</span><code><span class="memberNameLink"><a href="../../springservice/CollateralService.html#getAllCollaterals()">getAllCollaterals</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../springservice/package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.springservice</a> with parameters of type <a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CollateralService.</span><code><span class="memberNameLink"><a href="../../springservice/CollateralService.html#addCollateral(com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral)">addCollateral</a></span>&#8203;(<a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&nbsp;collateral)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
